package com.ibm;

import java.util.ArrayList;
import java.util.List;

import com.bowstreet.methods.IInputFieldFormatter;
import com.bowstreet.webapp.WebAppAccess;

public class CustomFormatter implements IInputFieldFormatter {
	
	private String errorMessage;
    private WebAppAccess webApp;
    
    //These Lists define the available expressions
    protected static List formatExpressionList = null;
    protected static List translateExpressionList = null;
    protected static List validateExpressionList = null;

    //These Strings define the content of the Lists  
    public final static String ADDSPACES = "Add spaces to phone number";
    public final static String REMOVESPACES = "Remove spaces from phone number";
    public final static String VALIDATEPHONENUMBER = "Validate phone number";
    
    //Set the contents of each List
    private static final String[] formatExpressions = {ADDSPACES};
    private static final String[] translateExpressions = {REMOVESPACES};
    private static final String[] validateExpressions = {VALIDATEPHONENUMBER};  
    static
    {
        formatExpressionList = makeList(formatExpressions);
        translateExpressionList = makeList(translateExpressions);
        validateExpressionList = makeList(validateExpressions);
    }

    //Used for formatting
    public String format(String value, String expression) 
    {	    	
    	String result = value;
    	StringBuffer modifiedResult = new StringBuffer();
        if(getErrorMessage() == null) 
        {
           if (expression.equals(ADDSPACES)) 
           {         	          	         	           	        	           	   
        	   //Insert a space every three characters from the end
        	   for (int index=result.length(); index >= 0; index=index-3)
        	   {        		        		        		   
        		   if (index-3 >= 0 )        		        			   
        			   modifiedResult.insert(0, " " + result.substring(index-3, index));			        		
        		   else        		        			
        			   modifiedResult.insert(0, result.substring(0, index));        		
        	   }
        	   result = modifiedResult.toString();
           }
        }
        return result;
    }

    //Used for translation
    public String translate(String value, String expression) 
    {	    	
    	String result = value;
        if (expression.equals(REMOVESPACES)) 
        {
            //Remove spaces  	        	
        	result = result.replaceAll(" ", "");        	
        }
        return result;
    }

    //Used for validation
    public boolean validate(String value, String expression) 
    { 	       
    	boolean result = true;
    	
    	//Reset error message
    	setErrorMessage(null);
    	if(expression.equals(VALIDATEPHONENUMBER)) 
        {
    		//Check to see if phone number contains letters
            for(int index = 0; index < value.length(); index++)
            {                
                if (value.charAt(index)<48 || value.charAt(index)>57)
                {                    
                    setErrorMessage("Phone numbers cannot contain letters.");
                    result=false;
                }
            } 
        }     
        return result;
    }

    //These methods are required by the interface
    public void setErrorMessage(String msg)                 { errorMessage = msg; }
    public String getErrorMessage()                         { return errorMessage;}
    public void setWebAppAccess(WebAppAccess webApp)        { this.webApp = webApp; }
    public WebAppAccess getWebAppAccess()                   { return webApp; }
    public void setTranslateSuccessFlag(boolean parm1)      { }
    public boolean getTranslateSuccessFlag()                { return true; }
    public List getFormatExpressionList()                   { return formatExpressionList; }
    public List getTranslateExpressionList()                { return translateExpressionList; }
    public List getValidateExpressionList()                 { return validateExpressionList; }
       
    //This method creates a list from a String array
    protected static List makeList(String[] array)
    {
        List list = new ArrayList(array.length);
        for (int i = 0; i < array.length; i++)
            list.add(array[i]);
        return list;
    }
}
