/**
 * Description:  WPF builder regen class
 *
 * Licensed Materials - Property of IBM 
 * 5724-O03
 * (C) Copyright 2006. IBM Corp. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * See WebSphere Portlet Factory ( product id 5724-O03 ) product license for terms and conditions of use. 
 *
 * This Java source file was generated by the WebSphere Portlet Factory.
 *
 * Do not edit generated code within the following comments /*##GENERATED_...
 */
package com.ibm.builders;

import com.bowstreet.builders.webapp.api.*;
import com.bowstreet.builders.webapp.foundation.*;
import com.bowstreet.builders.webapp.methods.BuilderHelperUtil;
import com.bowstreet.builders.webapp.pagelocation.*;
import com.bowstreet.generation.*;
import com.bowstreet.util.*;
import com.bowstreet.webapp.*;

/**
 * Bowstreet builder regen class for page control builder
 */
public class TermsAndConditions implements WebAppControlBuilder
{
    /*##GENERATED_BEGIN*/
    public final static String MODEL_NAME = "samples/builders/Date";
    // This is the profile name, followed by underscore, used as prefix for all the profiled inputs
    public static String INPUT_PREFIX = "_";
    /*##GENERATED_END*/


    /**
     * This is the method that's called during generation of the WebApp.
     */
    public void doBuilderCall(GenContext genContext, WebApp webApp, BuilderCall builderCall, BuilderInputs builderInputs, PageLocation pageLocation)
    {
        // System.out.println("builderInputs: " + builderInputs);
        /*##GENERATED_BODY_BEGIN#InputAccessorCode#*/
        // Generated code to get all the builder inputs
        String name = builderInputs.getString(Constants.Name, null);
        String backAction = builderInputs.getString(Constants.BackAction, null);
        boolean overrideMessage = builderInputs.getBoolean(Constants.OverrideMessage, false);
        String newMessage = builderInputs.getString(Constants.NewMessage, null);
        /*##GENERATED_BODY_END*/

        //Define HTML for terms and conditions page
        StringBuffer html = new StringBuffer("<html><body><div align='center'><div style='font:12pt Arial;font-weight: bold;color: #336699;'>" +
                        "Terms & Conditions</div><br>");
        if (overrideMessage)
                html.append(newMessage);
        else
                html.append("Here are the default terms and conditions.");
        html.append("<br><br><span name='backButton'></span></div></body></html>");

        //Create terms & conditions page
        com.bowstreet.builders.webapp.api.Page pageBuilder = new com.bowstreet.builders.webapp.api.Page(builderCall, genContext);
        pageBuilder.setName("termsAndConditionsPage");
        pageBuilder.setPageData(html.toString());
        pageBuilder.invokeBuilder();

        //Place back button onto terms and conditions page
        Button buttonBuilder = new Button(builderCall, genContext);
        buttonBuilder.setActionType("link");
        buttonBuilder.setAction(backAction);
        buttonBuilder.setLabel("Back");        
        buttonBuilder.setPageLocation("Page termsAndConditionsPage NameSearch backButton");
        buttonBuilder.invokeBuilder();

        //Insert link at pageLocation
        Link linkBuilder = new Link(builderCall, genContext);
        linkBuilder.setPageLocation(pageLocation);
        linkBuilder.setText("Terms & Conditions");
        linkBuilder.setActionType("link");
        linkBuilder.setAction("termsAndConditionsPage");
        linkBuilder.invokeBuilder();
    }


    /**
     * Interface that has constants for all the builder input names
     */
    static public interface Constants
    {
        /*##GENERATED_BEGIN*/
        public static final String Name = "Name";
        public static final String PageLocation = "PageLocation";
        public static final String BackAction = "BackAction";
        public static final String OverrideMessage = "OverrideMessage";
        public static final String NewMessage = "NewMessage";
        /*##GENERATED_END*/


    }

}
