package com.ibm;

import java.util.ArrayList;
import java.util.Iterator;

public class ShoppingCartItemManager 
{	
		
	//properties
	private static ArrayList shoppingCart = new ArrayList();
	private static int idCounter=0;
	
    //get method for a shopping cart
	public static ArrayList getShoppingCart()
	{		
		return shoppingCart;		
	}
    	
	//create blank shopping cart item
	public static ShoppingCartItem createShoppingCartItem()
	{			
		return new ShoppingCartItem();
	}		

	//add newly created item to shopping cart
	public static void addShoppingCartItem(ShoppingCartItem toAdd)
	{	
		//increment id counter and set id of new item
		idCounter++;
		toAdd.setId(Integer.toString(idCounter));
		
		//add new item
		shoppingCart.add(toAdd);
	}
	
	//retrieves a particular item from the shopping cart
	public static ShoppingCartItem getShoppingCartItem(String toGet)
	{			
		 Iterator i = shoppingCart.iterator();
	        while (i.hasNext()) 
	        {
	            ShoppingCartItem item = (ShoppingCartItem)i.next();
	            if (item.getId().equals(toGet)) 
	            {
	            	return item;	        
	            }
	        }
	        return null;
	}
	
	//updates a particular item in the shopping cart
	public static void updateShoppingCartItem(ShoppingCartItem toUpdate)
	{					
		 Iterator i = shoppingCart.iterator();
	        while (i.hasNext()) 
	        {
	            ShoppingCartItem item = (ShoppingCartItem)i.next();
	            if (item.getId().equals(toUpdate.getId())) 
	            {	            	
	            	item.setName(toUpdate.getName());
	            	item.setQuantity(toUpdate.getQuantity());
	            	return;
	            }
	        }
	}	
	
	//delete method for a shopping cart item (can be used with Bean Master Detail builder)
	public static void deleteShoppingCartItem(ShoppingCartItem toDelete)
	{		
		shoppingCart.remove(toDelete);
	}
	
	//delete method for a shopping cart item
	public static void deleteShoppingCartItem(String toDelete)
	{		
		 Iterator i = shoppingCart.iterator();
	     while (i.hasNext()) 
	     {
	    	 ShoppingCartItem item = (ShoppingCartItem)i.next();
	         if (item.getId().equals(toDelete))  
	         {
	        	shoppingCart.remove(item);
	            return;
	         }
	     }
	}
	
	//deletes every item in the shopping cart
	public static void clearShoppingCart()
	{			 	    	 	         
	    shoppingCart.removeAll(shoppingCart);  
	    idCounter = 0;
	}
}
